# KHGuide

A small static page generator for guides on a bunch of Kingdom Hearts features.

Such as:

- synthesis lists and trackers
- enemy drops and location
- command melding for Birth By Sleep
- spirit boards for Dream Drop Distance
- food simulator for Kingdom Hearts 3

## Usage

- Probably the easiest way is to use the hosted version offered [here](https://git.pixelatedw.xyz/pages/wynd/khguide/)
- For a local version you'll need a web server to serve CSS and JavaScript modules, read the below Development section for this

## Development

### Prerequisite:

- git
- [Rust 1.85](https://www.rust-lang.org/tools/install)
- [Just](https://github.com/casey/just?tab=readme-ov-file#installation)
- A locally running web server such as [caddy](https://github.com/caddyserver/caddy)

### Setup

1. Clone the repo locally using git
2. Setup your web server and make sure it runs
3. Configure the web server so it serves files via caddy's [`file_server`](https://caddyserver.com/docs/caddyfile/directives/file_server)

Example of a local Caddyfile:

```Caddyfile
localhost

file_server
```

4. Use `just` or `just build` this will generate all the HTML files and copy all assets into an `out` folder which may copy the contents of inside caddy's `site` folder to be served
5. Access the app at `localhost`
